LOCAL_DOMAIN=knast.cc
WEB_DOMAIN=kvist.knast.cc
#DEFAULT_NETWORK=traefik

# Redis
# -----
REDIS_HOST=redis
REDIS_PORT=6379
REDIS_PASSWORD=


# PostgreSQL
# ----------
DB_HOST=db
DB_PORT=5432
DB_NAME=postgres
DB_USER=postgres
DB_PASS=



#NO_CHOWN=false
# Secrets
# -------
# Generate each with the `RAILS_ENV=production bundle exec rake secret` task (`docker-compose run --rm web bundle exec rake secret` if you use docker compose)
# -------

SECRET_KEY_BASE=255f61abb4a7ef9326e2cf57cdca6c395e2e955e84cd2213ae54821d4e96c6fafe6666fb442d52eeeb778ca1ef699f97dca94ea7c0e44dda10cc53a38833817a
OTP_SECRET=2f228d25de38790a9b4e7b103deaa7af164e1e315a8640502a8ad4a892d636f4afca8f0c647681c5a57eae3f8e2a098acd2596b52ad83b85219df19821493bb2
ACTIVE_RECORD_ENCRYPTION_DETERMINISTIC_KEY=PKDBSmbEZ342bepX52SF1AzE4ZcpQCRG
ACTIVE_RECORD_ENCRYPTION_KEY_DERIVATION_SALT=MW5QURjFvYyuJJEaZ2RZpdFDdPdD0aVO
ACTIVE_RECORD_ENCRYPTION_PRIMARY_KEY=nQRDQQY1wfFBripQ89jkQOrVgtNLf22Z
VAPID_PRIVATE_KEY=Z3BskPlrlV888Ffp5TUXzmvwCO0wAMbjv2alwkVFtWY=
VAPID_PUBLIC_KEY=BG5RgDRDWBdHbZrW14_B5t4PEykVPk-PUM6hRnWbTCXgEYIG_zWjkJcxwv7klKt2yIEdcGGDewsGhMbzP4fTrpE=



# Registrations
# -------------
# Single user mode will disable registrations and redirect frontpage to the first profile
SINGLE_USER_MODE=false

# Sending mail
# ------------
SMTP_SERVER=smtp.mailgun.org
SMTP_PORT=587
SMTP_LOGIN=
SMTP_PASSWORD=
SMTP_AUTH_METHOD=plain
SMTP_OPENSSL_VERIFY_MODE=none
SMTP_ENABLE_STARTTLS=auto
SMTP_FROM_ADDRESS=Mastodon <notifications@knast.cc>


# Custom settings
# ---------------
MAX_TOOT_CHARS=1000
MAX_PINNED_TOOTS=5
MAX_BIO_CHARS=500
MAX_PROFILE_FIELDS=4
MAX_DISPLAY_NAME_CHARS=30
MAX_POLL_OPTIONS=5
MAX_POLL_OPTION_CHARS=100
MAX_IMAGE_SIZE=536870912
MAX_VIDEO_SIZE=1073741824

# IP and session retention
# -----------------------
IP_RETENTION_PERIOD=31556952
SESSION_RETENTION_PERIOD=31556952


